Subject: Re: Please pull 'z1211' branch of wireless-2.6

From: Michael Buesch <[email-masked]>
Date: Wed, 19 Sep 2007 21:23:16 +0200

On Wednesday 19 September 2007 20:59:03 David Miller wrote:
> From: "John W. Linville" <[email-masked]>
> Date: Wed, 19 Sep 2007 14:10:05 -0400
> 
> > This patch adds z1211 (previously known as zd1211rw-mac80211),
> > a driver for Zydas ZD1211 hardware.  This driver has proven very
> > robust -- Fedora 7 uses this driver and I don't think I have any open
> > bugzillas for it.  Either the driver works well, or no one as using
> > it...given the common availability of the hardware, I have to presume
> > the former. :-)
> > 
> > This driver is mostly a port of zd1211rw to the mac80211
> > infrastructure.  In fact, most zd1211rw patches have been mirrored
> > directly to this driver for some time.  I considered merely updating
> > the existing driver with this code, but I think it is more prudent to
> > include this as a separate driver just to avoid confusion.  There is
> > some symbol clash between the two drivers, so I add a Kconfig hack
> > to ensure that only one or the other is built-in or that this one is
> > built as a module.
> > 
> > The maintainers have identified some (IMHO minor) issues with the
> > mac80211 port of this driver.  Some of them are summarized here:
> > 
> > 	http://linuxwireless.org/en/users/Drivers/zd1211rw/mac80211Issues
> > 
> > Still, I think we would be better-off having this driver upstream.
> 
> Agreed, merged into net-2.6.24, thanks John.

John, please also note that the following patch is not merged, yet.
http://bu3sch.de/patches/wireless-dev/20070915-1740/patches/006-zd-fix-tx-status.patch
Without it ratecontrol does not work. It does neither scale the rate
up nor down. This patch fixes both.
I think it got lost in a (really unrelated to the actual bug) discussion
about whether it's required or not to report status in mac80211 drivers.
(It turned out that it _is_ required).

-- 
Greetings Michael.